Get Single Provider Pricing
GET
/providers/{provider}/pricing
const url = 'https://api.mengi.cloud/providers/example/pricing';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.mengi.cloud/providers/example/pricingGet detailed cluster pricing for a specific provider. Optionally specify a tier for tiered pricing (e.g., testing vs production for Hetzner).
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”provider
required
Provider
string
Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}